RS GetSubObject


(www.cadwax.com) #1

Hi,

Is there a RS command for GetSubObject or another way to achieve this.

thx,
Keith


#2

Hi,

The arguments for rs.GetObject are as follows:

rs.GetObject ( message=None, filter=0, preselect=False, select=False, custom_filter=None, subobjects=False)

If subobjects is set to True, you should be able to select subobjects…

–Mitch


(www.cadwax.com) #3

Thanks Mitch,

Where will I find the documentation for this - in help I see: Rhino.GetObject ([strMessage [, intType [, blnPreSelect [, blnSelect [, arrObjects ]]]]])

Regards,
Keith


#4

That looks like the vb Rhinoscript help. If you are using Python, make sure you use the Python rhinoscriptsyntax help… You can get to it through the Python script editor, or create a shortcut to:

“C:\Program Files\Rhinoceros 5 (64-bit)\Plug-ins\IronPython\RhinoIronPython.chm”

–Mitch


(www.cadwax.com) #5

Are sub objects exposed in vb Rhinoscript ?

Or can i mimic holding the Ctrl+Shift key in vb Rhinoscript ?

Keith


#6

As far as I know, they are not.

I don’t think any of the object selection methods in vb Rhinoscript accept subobjects currently, aside from the ones specifically programmed to do so such as GetEdgeCurves, GetMeshFaces, Get MeshVertices…

–Mitch